
import javax.swing.*;
import javax.swing.border.EtchedBorder;
import java.awt.*;

class FilePanel extends JPanel {

    private static final long serialVersionUID = 1L;
    private final JButton button;
    private final String fileToLoad;

    @SuppressWarnings("unused")
    FilePanel(String fileName, String creationDate){
        super();
        setLayout(null);
        setBorder(BorderFactory.createEtchedBorder(EtchedBorder.RAISED));
        setPreferredSize(new Dimension(50, 100));
        setMaximumSize(new Dimension(50, 100));
        setMinimumSize(new Dimension(50, 100));
        fileToLoad = fileName;

        JLabel file = new JLabel("File:");
        file.setFont(new Font(file.getFont().getName(), Font.BOLD, 15));
        file.setBounds(10,10, 70, 30);

        JLabel name = new JLabel(fileName.substring(0, fileName.indexOf(".")));
        name.setBounds(80, 10, 150, 30);


        button = new JButton("Select");
        button.setFocusPainted(false);
        button.setBounds(60, 50, 100, 30);

        add(file);
        add(name);
        add(button);
    }

    JButton getButton() {
        return button;
    }

    String getFileToLoad() {
        return fileToLoad;
    }
}
