
import com.mindfusion.diagramming.*;

import javax.swing.*;
import javax.swing.tree.DefaultMutableTreeNode;
import javax.swing.tree.DefaultTreeModel;
import java.awt.*;

public class TreeView extends StackPanel {
    private static final long serialVersionUID = 1L;


    public TreeView(Window owner) {
        super(owner, new BorderLayout());

        root = new DefaultMutableTreeNode("Root");
        tree = new JTree(root);
        model = (DefaultTreeModel) tree.getModel();
        tree.setShowsRootHandles(true);
        tree.setRootVisible(false);
        tree.setExpandsSelectedPaths(true);

        JPanel treePanel = new JPanel(new FlowLayout(FlowLayout.LEFT));
        treePanel.setBackground(Color.WHITE);
        treePanel.setBorder(BorderFactory.createEmptyBorder(8, 8, 8, 8));
        JScrollPane pane = new JScrollPane(treePanel, JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED, JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
        pane.setPreferredSize(new Dimension(400, Toolkit.getDefaultToolkit().getScreenSize().height / 2));
        pane.setMinimumSize(new Dimension(400, Toolkit.getDefaultToolkit().getScreenSize().height / 2));


        Overview overview = new Overview();
        overview.setFitAll(true);
        overview.setBackgroundColor(new Color(170, 170, 200));
        overview.setPreferredSize(new Dimension(400, 300));
        overview.setDiagramView(diagramView);


        JPanel overviewpanel = new JPanel();
        overviewpanel.add(overview);

        treePanel.add(tree);

        add(pane, BorderLayout.CENTER);
        add(overviewpanel, BorderLayout.SOUTH);

    }
}
